package io.hmit.modules.serviceOrder.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * 订单表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-01-26
 */
@Data
@ApiModel(value = "订单表")
public class PensionOrderDTO implements Serializable {
    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "id")
	private Long id;

	@ApiModelProperty(value = "订单编号")
	private String orderNum;

	@ApiModelProperty(value = "订单状态")
	private Integer status;

	@ApiModelProperty(value = "订单状态名称")
	private String statusName;

	@ApiModelProperty(value = "详细地址")
	private String address;

	@ApiModelProperty(value = "订单所属的服务id")
	private Long serviceId;

	@ApiModelProperty(value = "订单所属的服务名称")
	private String serviceName;

	@ApiModelProperty(value = "预约人")
	private String appointmentPerson;

	@ApiModelProperty(value = "预约人电话")
	private String appointmentPhone;

	@ApiModelProperty(value = "预约时间")
	private Date appointmentTime;

	@ApiModelProperty(value = "备注")
	private String remark;

	@ApiModelProperty(value = "接单人id")
	private Long orderRecipientId;

	@ApiModelProperty(value = "接单人姓名")
	private String orderRecipientName;

	@ApiModelProperty(value = "接单时间")
	private Date orderRecipientTime;

	@ApiModelProperty(value = "接单人电话")
	private String orderRecipientPhone;

	@ApiModelProperty(value = "部门ID")
	private Long deptId;

	@ApiModelProperty(value = "创建者")
	private Long creator;

	@ApiModelProperty(value = "订单发起人")
	private String creatorName;

	@ApiModelProperty(value = "订单发起人联系电话")
	private String creatorTel;

	@ApiModelProperty(value = "创建时间")
	private Date createDate;

	@ApiModelProperty(value = "更新者")
	private Long updater;

	@ApiModelProperty(value = "更新时间")
	private Date updateDate;


}
